YaST errors.

When I try to update DataSynchronizer 1.2.2.794 to 1.2.5.299 I get an error.
"Calling the Yast module 'inst_proposal has failed.
More information can be found near the end of the ‘/var/log/YaST/y2log’ file
This is worth reporting a bug at http://bugzilla.novell.com/.
Please, attach also all YaST logs stored in the ‘/var/log/YaST2/’ directory.
BACK Retry Quit Next

If I do cat /etc/*release
LSB_VERSION=“core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core4.0-x86_64”
SUSE Linux Enterprise Server 11 (x86_64)
Version = 11
PATCHLEVEL = 2

If I do zypper pd
Refreshing service ‘nu_novell_com’.
Loading repository data…
Reading installed packages…

S | Repository | Internal Name | Name | Version | Arch | Is Base
–±---------------------------------------------------±------------------------------±-------------------------------------------±-----------±-------±-------
i | @System | datasynchronizer-mobilitypack | Novell Data Synchronizer Mobility Pack | 1.2.2-1.1 | x86_64 | No
i | @System | SUSE_SLES | SUSE Linux Enterprise Server 11 SP2 | 11.2-1.538 | x86_64 | Yes
v | Novell Data Synchronizer Mobility Pack | datasynchronizer-mobilitypack | Novell Data Synchronizer Mobility Pack | 1.2-1.1 | x86_64 | No
v | Novell Data Synchronizer Mobility Pack | datasynchronizer-mobilitypack | Novell Data Synchronizer Mobility Pack | 1.2-1.1 | x86_64 | No
v | Novell-Data-Synchronizer-Mobility-Pack 1.2.5.0-1.2 | datasynchronizer-mobilitypack | Novell Data Synchronizer Mobility Pack | 1.2.5-1.2 | x86_64 | No
v | Novell-Data-Synchronizer-Mobility-Pack 1.2.5.0-1.2 | datasynchronizer-mobilitypack | Novell Data Synchronizer Mobility Pack | 1.2.5-1.2 | x86_64 | No
v | Novell-Data-Synchronizer-Mobility-Pack 1.2.5.0-1.2 | datasynchronizer-mobilitypack | Novell Data Synchronizer Mobility Pack | 1.2.5-1.2 | x86_64 | No
v | SLES11-SP1-Pool | SUSE_SLES | SUSE Linux Enterprise Server 11 SP1 | 11.1-1.152 | x86_64 | No
v | SLES11-SP1-Updates | SUSE_SLES | SUSE Linux Enterprise Server 11 SP1 | 11.1-1.206 | x86_64 | No
| SLES11-SP1-Updates | SUSE_SLES-SP2-migration | SUSE_SLES Service Pack 2 Migration Product | 11.1-1.6 | x86_64 | No
v | SLES11-SP2-Core | SUSE_SLES | SUSE Linux Enterprise Server 11 SP2 | 11.2-1.234 | x86_64 | No
v | SLES11-SP2-Updates | SUSE_SLES | SUSE Linux Enterprise Server 11 SP2 | 11.2-1.513 | x86_64 | No
| SLES11-SP2-Updates | SUSE_SLES-SP3-migration | SUSE_SLES Service Pack 3 Migration Product | 11.2-1.24 | x86_64 | No
v | SUSE-Linux-Enterprise-Server-11-SP1 11.1.1-1.152 | SUSE_SLES | SUSE Linux Enterprise Server 11 SP1 | 11.1-1.152 | x86_64 | No

the last few lines of y2log is:
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(release):718 Request to release media - not attached; eject ‘’
2013-08-09 14:49:56 <1> mobile2(4178) [zypp] MediaAccess.cc(close):285 Close: https(https://nu.novell.com/repo/$RCE/SLES11-SP1-Updates/sle-11-x86_64?credentials=NCCcredentials not attached; localRoot “”) (OK)
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(release):718 Request to release media - not attached; eject ‘’
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(removeAttachPoint):179 MediaHandler - checking if to remove attach point
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(release):718 Request to release media - not attached; eject ‘’
2013-08-09 14:49:56 <1> mobile2(4178) [zypp] MediaAccess.cc(close):285 Close: https(https://nu.novell.com/repo/$RCE/SLES11-SP1-Pool/sle-11-x86_64?credentials=NCCcredentials not attached; localRoot “”) (OK)
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(release):718 Request to release media - not attached; eject ‘’
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(removeAttachPoint):179 MediaHandler - checking if to remove attach point
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(release):718 Request to release media - not attached; eject ‘’
2013-08-09 14:49:56 <1> mobile2(4178) [zypp] MediaAccess.cc(close):285 Close: https(https://nu.novell.com/repo/$RCE/Mobility-1.2-Updates/sle-11-x86_64?credentials=NCCcredentials not attached; localRoot “”) (OK)
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(release):718 Request to release media - not attached; eject ‘’
2013-08-09 14:49:56 <1> mobile2(4178) [zypp++] MediaHandler.cc(removeAttachPoint):179 MediaHandler - checking if to remove attach point
2013-08-09 14:49:56 <1> mobile2(4178) [Y2Perl] YPerl.cc(destroy):164 Shutting down embedded Perl interpreter.

Any recommendation?

Hi
What does the output of the command;

zypper lr -d

It looks like you have a CD/DVD repo active and no media in the device, if you do, disabling should resolve the issue.

malcolmlewis said
[color=blue][color=green]

Hi
What does the output of the command;

zypper lr -d

[/color][/color]

Results:
mobile2:~/Desktop # zypper lr -d

| Alias | Name | Enabled | Refresh | Priority | Type | URI | Service

–±------------------------------------------±----------------------------±--------±--------±---------±-------±-----------------------------------------------------------------------------------------------------±-------------
1 | nu_novell_com:SLE11-SP2-Debuginfo-Core | SLE11-SP2-Debuginfo-Core | No | Yes | 99 | NONE | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Core/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
2 | nu_novell_com:SLE11-SP2-Debuginfo-Updates | SLE11-SP2-Debuginfo-Updates | No | Yes | 99 | NONE | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Updates/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
3 | nu_novell_com:SLE11-WebYaST-SP2-Pool | SLE11-WebYaST-SP2-Pool | No | Yes | 99 | NONE | https://nu.novell.com/repo/$RCE/SLE11-WebYaST-SP2-Pool/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
4 | nu_novell_com:SLE11-WebYaST-SP2-Updates | SLE11-WebYaST-SP2-Updates | No | Yes | 99 | NONE | https://nu.novell.com/repo/$RCE/SLE11-WebYaST-SP2-Updates/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
5 | nu_novell_com:SLES11-Extras | SLES11-Extras | No | Yes | 99 | NONE | https://nu.novell.com/repo/$RCE/SLES11-Extras/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
6 | nu_novell_com:SLES11-SP2-Core | SLES11-SP2-Core | Yes | Yes | 99 | rpm-md | https://nu.novell.com/repo/$RCE/SLES11-SP2-Core/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
7 | nu_novell_com:SLES11-SP2-Extension-Store | SLES11-SP2-Extension-Store | Yes | Yes | 99 | rpm-md | https://nu.novell.com/repo/$RCE/SLES11-SP2-Extension-Store/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
8 | nu_novell_com:SLES11-SP2-Updates | SLES11-SP2-Updates | Yes | Yes | 99 | rpm-md | https://nu.novell.com/repo/$RCE/SLES11-SP2-Updates/sle-11-x86_64?credentials=NCCcredentials | nu_novell_com
mobile2:~/Desktop #

Hi
I would of thought the mobility ones would be active, since your trying
to update from the online repos…

You might want to check your all up to date with the current ones;

zypper ref --force
zypper patch
zypper lu
zypper up (if required)

So are the mobility ones present in YaST → Software repositories?


Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.3 (x86_64) Kernel 3.7.10-1.16-desktop
up 9:52, 3 users, load average: 0.28, 0.20, 0.16
CPU AMD E2-1800@1.70GHz | GPU Radeon HD 7340

Thanks for Helping…
If I do the commands you listed, do you think this may cause any issues on a server with Data-synchronizer with Mobility Pack?
I was worried it may try to download SLES 11 SP3 and thats not officially supported by DataSync yet.
Thank You !

[color=blue][color=green][color=darkred]

malcolmlewismalcolmlewis@no-mx.forums.suse.com 8/13/2013 6:35 PM >>>
[/color][/color][/color]

Hi
I would of thought the mobility ones would be active, since your trying
to update from the online repos…

You might want to check your all up to date with the current ones;

zypper ref --force
zypper patch
zypper lu
zypper up (if required)

So are the mobility ones present in YaST → Software repositories?


Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.3 (x86_64) Kernel 3.7.10-1.16-desktop
up 9:52, 3 users, load average: 0.28, 0.20, 0.16
CPU AMD E2-1800@1.70GHz | GPU Radeon HD 7340

Hi
Up to the zypper lu (list updates) command won’t change anything…


Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.3 (x86_64) Kernel 3.7.10-1.16-desktop
up 6:58, 3 users, load average: 1.04, 0.62, 0.44
CPU AMD E2-1800@1.70GHz | GPU Radeon HD 7340

Resolved the YaST errors !

malcolmlewis Thank you for sharing your Wisdom!
The Zypper commands did resolve the issue with YaST.
Thank You !

Feedback is important (both negative and positive) and always appreciated. In the past we have we have not actively solicited feedback from the Community and left it up to individual Members to provide feedback (as you did in your post) when they saw fit… but this is changing.

When you, or anyone for that matter, see a post you find particularly helpful you can show your appreciation by clicking on the star below the post. You can optionally leave a brief comment which is always appreciated but it is not necessary.

Clicking on the star assigns reputation points to the poster but more importantly it identifies those posts you find most helpful and notifies both the poster and website administrators. Our goal is to improve the we support the Community by providing the type of information you find most useful. For that to happen, Members’ feedback is essential!

Thank you.